<?php
/*
Plugin Name: Bee Offline
Plugin URI: http://www.i-cornershop.com
Description: This plugin can set your wordpress to offline mode if you want to maintenance or change layout of your website. 
Version: 1.0
Author: Rolies Debby
Author URI: http://www.roliesdabee.com
License: GPL
*/


function bee_offline_config_page() {
	if ( function_exists('add_submenu_page') )
		add_submenu_page('plugins.php', __('BeeOffline Configuration'), __('BeeOffline'), 'manage_options', 'bee-offline-key-config', 'bee_offline_conf');

}


function bee_offline_conf() {

include("../wp-content/plugins/bee-offline/config.php");	

if ( isset($_POST['submit']) ) {

	file_put_contents("../wp-content/plugins/bee-offline/config.php", '<?php $construction = ' . $_POST['offline-set'] . '; ?>');

}

if ( !empty($_POST ) ) : ?>

	<div id="message" class="updated fade"><p><strong><?php _e('Options saved.') ?></strong></p></div>

<?php endif; ?>

<div class="wrap">

	<h2><?php _e('Bee Offline Configuration'); ?></h2>

<div class="narrow">

<form action="" method="post" id="bee-offline-conf" style="margin: auto; width: 400px; ">

	<p><?php echo "For many people editing web is like hell, because sometime you don't now what you want to do but you don't want to display the error messages on your site while you editing or upgrading your site. This plugins give you a room for edit and upgrade your WP while your site display the offline screen.<br><br>While offline you can check your site with <a href='../?trial=yes' target='_blank'>this link</a> and make sure you are loged in to your account.<br><br>By <a href=\"http://rolies.i-cornershop.com\" target=\"_blank\">Rolies Debby</a>."; ?></p>

<p>

<?php 

echo $user_identity;

if ( $construction == 1 || $_POST['offline-set'] == 1 ) {

	$conf_cur = "1";
	$conf_say = "Yes, Show Under Construction Page";

} else {

	$conf_cur = "0";
	$conf_say = "No, Show My Current Web";	

}

if ( empty($_POST ) ) {
?>

<fieldset style="border:1px #666666; margin-top:50px;">
	<label>Offline Site : </label><br><br>
	<select id="offline-set" name="offline-set" style="font-family: 'Trebuchet MS', Arial, Verdana; font-size: 1em;">
		<option value="<?php echo $conf_cur; ?>"><?php echo $conf_say; ?></option>
		<option value=""></option>
		<option value="0">No, Show My Current Web</option>
		<option value="1">Yes, Show Under Construction Page</option>
	</select>

	<p class="submit"><input type="submit" name="submit" value="<?php _e('Update options &raquo;'); ?>" /></p>

</fieldset>

<?php } else { ?>

<h3>Your setting have been saved.</h3>

<a href="./plugins.php?page=bee-offline-key-config">Change Your Setting.</a>

<?php } ?>
</form>

</div>

</div>

<?php

}

function redirect() {

	include("./wp-content/plugins/bee-offline/config.php");	

	$user = wp_get_current_user();	

	if ( $construction) {
		
		if ( !$user->ID || !$_GET['trial'] ) {

			include("./wp-content/plugins/bee-offline/construction.php");
		
			exit;

		}
	}
}

add_action('admin_menu', 'bee_offline_config_page');
add_action('wp_head', 'redirect');

?>
